if exists("b:did_ftplugin")
   finish
endif

if has("iconv") && !exists('b:encoding_set')
   " Try to recognize the file encoding and convert the file
   if search('^Content-Type: text/\(plain\|html\);\n\?\( \|\t\)\+charset=', 'bew') > 0
      let line = getline(".")
      let encoding = matchlist(line, 'charset="\?\(\(\w\|-\)\+\)')[1]
      call SetupEncoding(encoding)
   endif
endif

setlocal textwidth=72

" SpamCop reports - goto the 9th line and start a browser
nmap <Esc>z 9G3<Bar>,b

" Remove my signature from a forwarded message
nmap \f 2GddG4k5ddkdd

" Remove boilerplate from a forwarded message from Trac
nmap \t 1G21ddG15k11dd:%s/^+//<Enter>:%s/^ \*/--/<Enter>1G
