syntax case ignore
syntax match mailHeaderKey contained contains=mailHeaderEmail,mailEmail,@NoSpell "\v(^(\> ?)*)@<=(from|to|cc|delivered-to|reply-to|mail-followup-to|x-attribution):.*$"
syntax match mailSmile ' [;:]-*[dp(){}<>|\\/]\| [(){}<>\\/]-*[;:]' " :-)
syntax match mailURL contains=@NoSpell `\v<(((https?|ftp|gopher|telnet)://|(mailto|file|news|about|ed2k|irc|sip|magnet):)[^' \t<>"]+|(www|web|w3)[a-z0-9_-]*\.[a-z0-9._-]+\.[^' \t<>"]+)[a-z0-9/]`

if &background == 'light'
   highlight Constant cterm=bold ctermfg=blue gui=bold guifg=blue
   highlight Statement cterm=NONE ctermfg=black gui=NONE guifg=darkgrey
   highlight link mailHeaderEmail Normal
   highlight link mailHeaderKey SpecialKey
   highlight mailSubject cterm=bold ctermfg=darkgrey gui=bold
   highlight mailSmile cterm=bold ctermfg=darkmagenta gui=bold guifg=darkmagenta
   highlight mailQuoted1 cterm=NONE ctermfg=blue gui=NONE guifg=blue
   highlight mailQuoted2 cterm=NONE ctermfg=darkmagenta gui=NONE guifg=darkmagenta
   highlight mailQuoted3 cterm=NONE ctermfg=brown gui=NONE guifg=brown
   highlight mailQuoted4 cterm=NONE ctermfg=green gui=NONE guifg=green
   highlight mailQuoted5 cterm=NONE ctermfg=cyan gui=NONE guifg=cyan
   highlight mailQuoted6 cterm=NONE ctermfg=white gui=NONE guifg=white
else
   highlight mailSmile cterm=NONE ctermfg=yellow
endif
